
@import "../../style/miam.scss";
$mobileBreakpoint: 768px;


:host {
  --unavailable-color: var(--miam-unavailable-color,#d04242);
  --oftenDeleted-color : var(--miam-oftenDeleted-color,goldenrod);
  --removed-color : var(--miam-removed-color,goldenrod);
}

.miam-basket-preview-disabled {

  .miam-basket-preview-disabled__header {
    position: relative;
    border-radius: 4px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    font-size: 14px;
    font-weight: bold;
    color:  #fff;
    padding: 2px 15px 2px 25px;
    margin-bottom: 5px;
    width: 100%;
    cursor: pointer;
  
    &.unavailable {
      background-color: var(--unavailable-color);
    }

    &.removed {
      background-color: var(--removed-color);
    }

    &.oftenDeleted {
      background-color: var(--oftenDeleted-color);
    }

    .miam-basket-preview-disabled__header__chevron {
      cursor: pointer;
      transition-duration: 0.5s;
      svg {
        width: 18px;
      }
    }
  
    .miam-basket-preview-disabled__chevron__down {
      transform: rotate(-180deg);
    }
  }
  
  .miam-basket-preview-disabled__entry {
    background-color: var(--m-color-grey);
    margin: 0px 0px 5px 25px;
    padding: 8px 10px;
    line-height: 1.2;
    font-size: 14px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    .text-muted{
      &::first-letter {
        text-transform: capitalize;
      }
    }

    
  
    &:last-child {
      border: none;
    }
  
    @media (max-width: $mobileBreakpoint) {
      padding:  8px 15px;
    }
  
  }
}